## org.exist.xmldb.test
Class TestEXistXMLSerialize

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.TestEXistXMLSerialize

All Implemented Interfaces:
  junit.framework.Test

public class TestEXistXMLSerialize
extends junit.framework.TestCase

Author:
  bmadigan

Constructor Summary
`TestEXistXMLSerialize(java.lang.String name)` Creates a new instance of TestEXistXMLSerialize

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `setUp()`
`void` `tearDown()`
`void` `testSerialize1()`
`void` `testSerialize2()`
`void` `testSerialize3()`
`void` `testSerialize4()`
`void` `testSerialize5()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestEXistXMLSerialize

    public TestEXistXMLSerialize(java.lang.String name)

  Creates a new instance of TestEXistXMLSerialize

Method Detail

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### testSerialize1

    public void testSerialize1()

### testSerialize2

    public void testSerialize2()

### testSerialize3

    public void testSerialize3()

### testSerialize4

    public void testSerialize4()

### testSerialize5

    public void testSerialize5()

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - the command line arguments

Copyright (C) Wolfgang Meier. All rights reserved.